summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/hoe/Manifest1
-rw-r--r--dev-ruby/hoe/hoe-4.0.5.ebuild53
-rw-r--r--dev-ruby/matrix/matrix-0.4.2.ebuild2
-rw-r--r--dev-ruby/mocha/mocha-2.0.4.ebuild2
-rw-r--r--dev-ruby/racc/racc-1.7.0.ebuild2
-rw-r--r--dev-ruby/rake-compiler/Manifest3
-rw-r--r--dev-ruby/rake-compiler/metadata.xml6
-rw-r--r--dev-ruby/rake-compiler/rake-compiler-1.2.1.ebuild (renamed from dev-ruby/rake-compiler/rake-compiler-1.2.4.ebuild)29
-rw-r--r--dev-ruby/rake-compiler/rake-compiler-1.2.3.ebuild27
-rw-r--r--dev-ruby/rake-compiler/rake-compiler-1.2.5.ebuild55
-rw-r--r--dev-ruby/stringio/stringio-3.0.6.ebuild2
-rw-r--r--dev-ruby/temple/temple-0.10.2.ebuild2
-rw-r--r--dev-ruby/test-unit/test-unit-3.6.0.ebuild2
13 files changed, 159 insertions, 27 deletions
diff --git a/dev-ruby/hoe/Manifest b/dev-ruby/hoe/Manifest
index 682400674c48..df863e5bf823 100644
--- a/dev-ruby/hoe/Manifest
+++ b/dev-ruby/hoe/Manifest
@@ -1,2 +1,3 @@
DIST hoe-3.26.0.gem 194560 BLAKE2B a47ebe54374c04e739112c99c3eaa968c6048df639e5ee8a4cad60659a50a4a4ea85e9a11a77ad824ae511d28634241255ec323938a4b9da6a8dd38aec022ac5 SHA512 0b069b0b2b181b81770568186f9d81b0f8fe48644a4b29bb2dd8084dc60886c7a06fa0e7be81854b5b653afc38c908622f08066656d9b625ab595615ef2918c3
DIST hoe-4.0.4.gem 190976 BLAKE2B 82e017351700a376f7e497a2e65b5e3e8331f25d5b083934f710272184016264e9b21ae4e2d25154affe901d6f426108ad29cb281cd68b30eba0910323a22544 SHA512 a7f03c171f77127d442070947193536421395a609536c45efb639c75f24605dfccb9bcf8ec6ec202956f888a3110cffa99c56bb924f7e1b982864d38673b6a4c
+DIST hoe-4.0.5.gem 190976 BLAKE2B 57622502f76a65a1d1e31bc717d125495c1f1d4e687ddf5a74c5335a58aa3a64bc0b0e2a66fe17e5b14ef92cdc72178299b2cfbb03bcb2a57d71c740d9628a6a SHA512 5f9e423dfe49d2b41ae4380a8b226a7c6efa939ba48022a0d872e9ccb4fb8aeed67ea2366034f61edc92a5be3f23014a0428ea64a48c644a2308621a0d417a23
diff --git a/dev-ruby/hoe/hoe-4.0.5.ebuild b/dev-ruby/hoe/hoe-4.0.5.ebuild
new file mode 100644
index 000000000000..96f7c8c86067
--- /dev/null
+++ b/dev-ruby/hoe/hoe-4.0.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc Manifest.txt README.rdoc"
+
+RUBY_FAKEGEM_EXTRAINSTALL="template"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Hoe extends rake to provide full project automation"
+HOMEPAGE="https://www.zenspider.com/projects/hoe.html"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc"
+
+ruby_add_bdepend "test? ( >=dev-ruby/minitest-5.9:5 )"
+
+ruby_add_rdepend ">=dev-ruby/rake-0.8.7 <dev-ruby/rake-15.0"
+
+all_ruby_prepare() {
+ # Skip isolation
+ sed -i -e '/isolate/ s:^:#:' Rakefile || die
+
+ # Skip test depending on specifics of gem command name
+ sed -i -e '/test_nosudo/,/^ end/ s:^:#:' test/test_hoe.rb || die
+
+ # Avoid test with random sort order
+ sed -i -e '/test_possibly_better/askip "ordering issues"' test/test_hoe.rb || die
+
+ # Avoid test that depends on specifics of merged packages
+ sed -i -e '/test_make_rdoc_cmd/askip "dependent on merged packages"' test/test_hoe_publish.rb || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc; then
+ rdoc --title "seattlerb's hoe-${PV} Documentation" -o doc --main README.rdoc \
+ lib History.rdoc Manifest.txt README.doc || die
+ rm -f doc/js/*.gz || die
+ fi
+}
+
+each_ruby_test() {
+ export -n A
+ each_fakegem_test
+}
diff --git a/dev-ruby/matrix/matrix-0.4.2.ebuild b/dev-ruby/matrix/matrix-0.4.2.ebuild
index cd029fd05343..7788173bf3b1 100644
--- a/dev-ruby/matrix/matrix-0.4.2.ebuild
+++ b/dev-ruby/matrix/matrix-0.4.2.ebuild
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/ruby/matrix/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
SLOT="$(ver_cut 1)"
all_ruby_prepare() {
diff --git a/dev-ruby/mocha/mocha-2.0.4.ebuild b/dev-ruby/mocha/mocha-2.0.4.ebuild
index 82ed95d25148..3b885a18a67d 100644
--- a/dev-ruby/mocha/mocha-2.0.4.ebuild
+++ b/dev-ruby/mocha/mocha-2.0.4.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/freerange/mocha/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="MIT"
SLOT="$(ver_cut 1)"
-KEYWORDS="amd64 arm arm64 ~hppa ~loong ~ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 sparc x86"
ruby_add_rdepend ">=dev-ruby/ruby2_keywords-0.0.5"
diff --git a/dev-ruby/racc/racc-1.7.0.ebuild b/dev-ruby/racc/racc-1.7.0.ebuild
index f74f985c15b7..c8e2fec31475 100644
--- a/dev-ruby/racc/racc-1.7.0.ebuild
+++ b/dev-ruby/racc/racc-1.7.0.ebuild
@@ -22,7 +22,7 @@ SRC_URI="https://github.com/tenderlove/racc/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="doc test"
ruby_add_rdepend "virtual/ruby-ssl"
diff --git a/dev-ruby/rake-compiler/Manifest b/dev-ruby/rake-compiler/Manifest
index 6fbe0d3d7698..b52e7559ccb0 100644
--- a/dev-ruby/rake-compiler/Manifest
+++ b/dev-ruby/rake-compiler/Manifest
@@ -1,2 +1,3 @@
+DIST rake-compiler-1.2.1.tar.gz 37723 BLAKE2B 685278cec10f9bd028ed7973446f8f164fd81567d5f390507321fd7fcd260b746e53ebde60fcee025ab20bcf248f274f1d8a0fac16d2f7ef13c0b8996c667037 SHA512 fd99c3a46a9a47f2fc70e59d2c33e6a68b849708cab35e6af46bafa0e9f3c843c20ec1287a463cda7d6237fc79e4cd4965cc78b309ac8b9519c0e7f44f2be8ce
DIST rake-compiler-1.2.3.tar.gz 38603 BLAKE2B d6cb1714ec3983051d794307e0516c01379a1d2a59430fad9780cc4b037a159c924a4edc1abf6cfbfa1b245203e4cfd4ea7bf887dbf2ea02ca93138629012062 SHA512 3dd3374630dbf0ce9d31caf62d399481622ed55aa15184073836043b907d40994b3284c40945f89c604296cc0cd2b588245e2310cef80846da48883c0e6a2f34
-DIST rake-compiler-1.2.4.tar.gz 38582 BLAKE2B b54b0d128275710f52f59eff0e8059be7746eb8ae1d1d9658393a4e871785045aa61d22f7e135fba09ca87bebb1764ed7f384e9b5574803a4422a9adfb84cf35 SHA512 d79159abe1db0b58aa72f962e62ef09b3620be6122bf246ddc767fa942ecefcf6b8cb6ec7e74486115f46e2e2806f15b84dba7fa6fe311fa70585fe8700e891e
+DIST rake-compiler-1.2.5.tar.gz 38723 BLAKE2B 9f619026574467e6abd31a449f1825c49e0df691b1f139c7a8829a9361df3401bab65312303ab7a566eaf73f4a3a6b78674c73abe6f1cc72d1f1bbb6f619e51a SHA512 843b9286f874b487f23a3558b0a7565eea5e2a22144a8ece944b4b69d40945eee16cca8341e2ea3678418df7f36637574c6832899215676ca3294ae61b24ff5a
diff --git a/dev-ruby/rake-compiler/metadata.xml b/dev-ruby/rake-compiler/metadata.xml
index 36acccda7221..246d194b7ec0 100644
--- a/dev-ruby/rake-compiler/metadata.xml
+++ b/dev-ruby/rake-compiler/metadata.xml
@@ -2,9 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
</maintainer>
- <origin>ports</origin>
+ <origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/rake-compiler/rake-compiler-1.2.4.ebuild b/dev-ruby/rake-compiler/rake-compiler-1.2.1.ebuild
index a853947e5473..04d59aba4b68 100644
--- a/dev-ruby/rake-compiler/rake-compiler-1.2.4.ebuild
+++ b/dev-ruby/rake-compiler/rake-compiler-1.2.1.ebuild
@@ -1,11 +1,14 @@
-# Copyright 2021-2023 Liguros Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
RUBY_FAKEGEM_RECIPE_TEST="none"
+
RUBY_FAKEGEM_RECIPE_DOC="none"
RUBY_FAKEGEM_EXTRADOC="History.md README.md"
+
RUBY_FAKEGEM_GEMSPEC="rake-compiler.gemspec"
inherit ruby-fakegem
@@ -13,27 +16,35 @@ inherit ruby-fakegem
DESCRIPTION="Provide a standard and simplified way to build and package Ruby extensions"
HOMEPAGE="https://github.com/luislavena/rake-compiler"
LICENSE="MIT"
+
SRC_URI="https://github.com/luislavena/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
SLOT="0"
IUSE=""
ruby_add_rdepend "dev-ruby/rake"
+
ruby_add_bdepend "test? ( dev-ruby/rspec:3 )"
-ruby_add_bdepend "test? ( dev-util/cucumber dev-ruby/rspec:2 )"
-all_ruby_prepare() {
- # Make sure the right rspec version is used in cucumber.
- sed -i -e "1igem 'rspec', '~>2.0'" features/support/env.rb || die
+USE_RUBY="ruby27 ruby30 ruby31" ruby_add_bdepend "test? ( dev-util/cucumber )"
+all_ruby_prepare() {
# Avoid failing features for native gems, this also fails with rubygems
sed -i -e '/generate native gem/,$ s:^:#:' features/package.feature || die
+
+ # Fix compatibility with newer cucumber versions. The not syntax has
+ # been supported since cucumber 3.x.
+ sed -i -e "s/~@java/'not @java'/" cucumber.yml || die
+
+ # Fix compatibility with newer rspec versions.
+ sed -i -e 's/be_true/be true/ ; s/be_false/be false/' features/step_definitions/*.rb || die
}
each_ruby_test() {
- # Skip cucumber for new ruby versions (not ready yet)
+ # Skip cucumber for new ruby versions (not ready yet due to rspec 2 usage)
case ${RUBY} in
- *ruby26)
+ *ruby27|*ruby30|*ruby31)
RSPEC_VERSION=3 ruby-ng_rspec
ruby-ng_cucumber
;;
diff --git a/dev-ruby/rake-compiler/rake-compiler-1.2.3.ebuild b/dev-ruby/rake-compiler/rake-compiler-1.2.3.ebuild
index a853947e5473..b31740aa8098 100644
--- a/dev-ruby/rake-compiler/rake-compiler-1.2.3.ebuild
+++ b/dev-ruby/rake-compiler/rake-compiler-1.2.3.ebuild
@@ -1,11 +1,14 @@
-# Copyright 2021-2023 Liguros Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
USE_RUBY="ruby30 ruby31 ruby32"
RUBY_FAKEGEM_RECIPE_TEST="none"
+
RUBY_FAKEGEM_RECIPE_DOC="none"
RUBY_FAKEGEM_EXTRADOC="History.md README.md"
+
RUBY_FAKEGEM_GEMSPEC="rake-compiler.gemspec"
inherit ruby-fakegem
@@ -13,27 +16,35 @@ inherit ruby-fakegem
DESCRIPTION="Provide a standard and simplified way to build and package Ruby extensions"
HOMEPAGE="https://github.com/luislavena/rake-compiler"
LICENSE="MIT"
+
SRC_URI="https://github.com/luislavena/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
SLOT="0"
IUSE=""
ruby_add_rdepend "dev-ruby/rake"
+
ruby_add_bdepend "test? ( dev-ruby/rspec:3 )"
-ruby_add_bdepend "test? ( dev-util/cucumber dev-ruby/rspec:2 )"
-all_ruby_prepare() {
- # Make sure the right rspec version is used in cucumber.
- sed -i -e "1igem 'rspec', '~>2.0'" features/support/env.rb || die
+USE_RUBY="ruby27 ruby30 ruby31" ruby_add_bdepend "test? ( dev-util/cucumber )"
+all_ruby_prepare() {
# Avoid failing features for native gems, this also fails with rubygems
sed -i -e '/generate native gem/,$ s:^:#:' features/package.feature || die
+
+ # Fix compatibility with newer cucumber versions. The not syntax has
+ # been supported since cucumber 3.x.
+ sed -i -e "s/~@java/'not @java'/" cucumber.yml || die
+
+ # Fix compatibility with newer rspec versions.
+ sed -i -e 's/be_true/be true/ ; s/be_false/be false/' features/step_definitions/*.rb || die
}
each_ruby_test() {
- # Skip cucumber for new ruby versions (not ready yet)
+ # Skip cucumber for new ruby versions (not ready yet due to rspec 2 usage)
case ${RUBY} in
- *ruby26)
+ *ruby27|*ruby30|*ruby31)
RSPEC_VERSION=3 ruby-ng_rspec
ruby-ng_cucumber
;;
diff --git a/dev-ruby/rake-compiler/rake-compiler-1.2.5.ebuild b/dev-ruby/rake-compiler/rake-compiler-1.2.5.ebuild
new file mode 100644
index 000000000000..7d80307e353a
--- /dev/null
+++ b/dev-ruby/rake-compiler/rake-compiler-1.2.5.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="History.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="rake-compiler.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Provide a standard and simplified way to build and package Ruby extensions"
+HOMEPAGE="https://github.com/rake-compiler/rake-compiler"
+LICENSE="MIT"
+
+SRC_URI="https://github.com/rake-compiler/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/rake"
+
+ruby_add_bdepend "test? ( dev-ruby/rspec:3 )"
+
+USE_RUBY="ruby27 ruby30 ruby31" ruby_add_bdepend "test? ( dev-util/cucumber )"
+
+all_ruby_prepare() {
+ # Avoid failing features for native gems, this also fails with rubygems
+ sed -i -e '/generate native gem/,$ s:^:#:' features/package.feature || die
+
+ # Fix compatibility with newer cucumber versions. The not syntax has
+ # been supported since cucumber 3.x.
+ sed -i -e "s/~@java/'not @java'/" cucumber.yml || die
+
+ # Fix compatibility with newer rspec versions.
+ sed -i -e 's/be_true/be true/ ; s/be_false/be false/' features/step_definitions/*.rb || die
+}
+
+each_ruby_test() {
+ # Skip cucumber for new ruby versions (not ready yet due to rspec 2 usage)
+ case ${RUBY} in
+ *ruby27|*ruby30|*ruby31)
+ RSPEC_VERSION=3 ruby-ng_rspec
+ ruby-ng_cucumber
+ ;;
+ *)
+ RSPEC_VERSION=3 ruby-ng_rspec
+ ;;
+ esac
+}
diff --git a/dev-ruby/stringio/stringio-3.0.6.ebuild b/dev-ruby/stringio/stringio-3.0.6.ebuild
index 34dcd0dceae0..db9c0bd6dc1d 100644
--- a/dev-ruby/stringio/stringio-3.0.6.ebuild
+++ b/dev-ruby/stringio/stringio-3.0.6.ebuild
@@ -15,7 +15,7 @@ HOMEPAGE="https://github.com/ruby/stringio"
SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
SLOT="0"
IUSE="test"
diff --git a/dev-ruby/temple/temple-0.10.2.ebuild b/dev-ruby/temple/temple-0.10.2.ebuild
index 41e1e2a281ee..7042b5281c15 100644
--- a/dev-ruby/temple/temple-0.10.2.ebuild
+++ b/dev-ruby/temple/temple-0.10.2.ebuild
@@ -14,7 +14,7 @@ HOMEPAGE="https://github.com/judofyr/temple"
LICENSE="MIT"
SLOT="0.7"
-KEYWORDS="amd64 arm arm64 ~hppa ~ppc ppc64 ~riscv ~sparc x86"
+KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 ~riscv ~sparc x86"
IUSE=""
ruby_add_bdepend "test? (
diff --git a/dev-ruby/test-unit/test-unit-3.6.0.ebuild b/dev-ruby/test-unit/test-unit-3.6.0.ebuild
index 717112c7b3de..8878b923983d 100644
--- a/dev-ruby/test-unit/test-unit-3.6.0.ebuild
+++ b/dev-ruby/test-unit/test-unit-3.6.0.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/test-unit/test-unit/archive/${PV}.tar.gz -> ${P}.tar
LICENSE="|| ( Ruby-BSD BSD-2 ) PSF-2"
SLOT="2"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="doc test"
ruby_add_rdepend "dev-ruby/power_assert"